Bug 30200 - Move executeScript from FrameLoader to ScriptController
: Move executeScript from FrameLoader to ScriptController
Status: RESOLVED FIXED
: WebKit
Page Loading
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
: 29947
  Show dependency treegraph
 
Reported: 2009-10-08 01:04 PST by
Modified: 2009-10-14 23:08 PST (History)


Attachments
Patch v1 (25.36 KB, patch)
2009-10-08 01:14 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff
Patch v1 (25.91 KB, patch)
2009-10-08 01:16 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff
Patch v1 (30.98 KB, patch)
2009-10-08 10:26 PST, Adam Barth
eric: review+
commit-queue: commit‑queue-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-08 01:04:33 PST
executeScript and executeIfJavaScriptURL are really about controlling scripts, not about loading pages.  Therefore, we should move them from FrameLoader to ScriptController!
------- Comment #1 From 2009-10-08 01:14:33 PST -------
Created an attachment (id=40856) [details]
Patch v1
------- Comment #2 From 2009-10-08 01:16:10 PST -------
Created an attachment (id=40857) [details]
Patch v1
------- Comment #3 From 2009-10-08 09:32:29 PST -------
(From update of attachment 40857 [details])
Can you first invent a x-platform ScriptController if your'e going to add duplicate code?

ScriptController

And then ScriptControllerJSC and ScriptControllerV8 which inherit from it?

Or heck, you don't even need them to inherit.  Just add a new ScriptController.cpp at the root level which has these fixes, and makes sure both builds include it, no?

Unless this code is not copy/paste and I'm mising something?

r- for adding copy/paste code.
------- Comment #4 From 2009-10-08 10:26:06 PST -------
Created an attachment (id=40890) [details]
Patch v1
------- Comment #5 From 2009-10-08 19:13:25 PST -------
(From update of attachment 40890 [details])
ChangeLog is out of date.  ScriptControllerBase being a real class would be better, but this is OK.
------- Comment #6 From 2009-10-08 21:47:44 PST -------
(From update of attachment 40890 [details])
Rejecting patch 40890 from commit-queue.

Patch https://bugs.webkit.org/attachment.cgi?id=40890 from bug 30200 failed to download and apply.
------- Comment #7 From 2009-10-08 22:09:03 PST -------
Committed r49372: <http://trac.webkit.org/changeset/49372>
------- Comment #8 From 2009-10-09 14:33:30 PST -------
XCode project simply went out of date.